| PDL for FM0+ Version1.0 Peripheral Driverl Library for FM0+

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Fields

Data Fields
stc_clk_config Struct Reference
Clock Functions (CLK)

Clock configuration. More...

`#include <clk.h>`

## Data Fields
en_clk_baseclkdiv_t | enBaseClkDiv
| See description of en_clk_baseclkdiv_t.
en_clk_apb0div_t | enAPB0Div
| See description of en_clk_apb0div_t.
en_clk_apb1div_t | enAPB1Div
| See description of en_clk_apb1div_t.
boolean_t | bAPB1Disable
| TRUE: Disables APB1 regardless of divider settings.
en_clk_mcowaittime_t | enMCOWaitTime
| See description of en_clk_mcowaittime_t.
en_clk_scowaittime_t | enSCOWaitTime
| See description of en_clk_scowaittime_t.
en_clk_pllowaittime_t | enPLLOWaitTime
| See description of en_clk_pllowaittime_t.
uint8_t | u8PllK
| PLL input clock frequency division ratio, PLLK.
uint8_t | u8PllM
| PLL VCO clock frequency division ratio, PLLM.
uint8_t | u8PllN
| PLL feedback frequency division ration, PLLN.
boolean_t | bPllIrq
| TRUE: enable PLL oscillation stabilization completion interrupt.
boolean_t | bMcoIrq
| TRUE: enable Main Clock oscillation stabilization completion interrupt.
boolean_t | bScoIrq
| TRUE: enable Sub Clock oscillation stabilization completion interrupt.
func_ptr_t | pfnPllStabCb
| PLL stabilization callback function pointer.
func_ptr_t | pfnMcoStabCb
| Main Clock stabilization callback function pointer.
func_ptr_t | pfnScoStabCb
| Sub Clock stabilization callback function pointer.

## Detailed Description

Clock configuration.

The Clock configuration settings

Definition at line 401 of file clk.h.

## Field Documentation

boolean_t bAPB1Disable

TRUE: Disables APB1 regardless of divider settings.

Definition at line 406 of file clk.h.

Referenced by Clk_Init().

boolean_t bMcoIrq

TRUE: enable Main Clock oscillation stabilization completion interrupt.

Definition at line 415 of file clk.h.

Referenced by Clk_Init().

boolean_t bPllIrq

TRUE: enable PLL oscillation stabilization completion interrupt.

Definition at line 414 of file clk.h.

Referenced by Clk_Init().

boolean_t bScoIrq

TRUE: enable Sub Clock oscillation stabilization completion interrupt.

Definition at line 416 of file clk.h.

Referenced by Clk_Init().

en_clk_apb0div_t enAPB0Div

See description of en_clk_apb0div_t.

Definition at line 404 of file clk.h.

Referenced by Clk_Init().

en_clk_apb1div_t enAPB1Div

See description of en_clk_apb1div_t.

Definition at line 405 of file clk.h.

Referenced by Clk_Init().

en_clk_baseclkdiv_t enBaseClkDiv

See description of en_clk_baseclkdiv_t.

Definition at line 403 of file clk.h.

Referenced by Clk_Init().

en_clk_mcowaittime_t enMCOWaitTime

See description of en_clk_mcowaittime_t.

Definition at line 407 of file clk.h.

Referenced by Clk_Init().

en_clk_pllowaittime_t enPLLOWaitTime

See description of en_clk_pllowaittime_t.

Definition at line 409 of file clk.h.

Referenced by Clk_Init().

en_clk_scowaittime_t enSCOWaitTime

See description of en_clk_scowaittime_t.

Definition at line 408 of file clk.h.

Referenced by Clk_Init().

func_ptr_t pfnMcoStabCb

Main Clock stabilization callback function pointer.

Definition at line 418 of file clk.h.

Referenced by Clk_Init().

func_ptr_t pfnPllStabCb

PLL stabilization callback function pointer.

Definition at line 417 of file clk.h.

Referenced by Clk_Init().

func_ptr_t pfnScoStabCb

Sub Clock stabilization callback function pointer.

Definition at line 419 of file clk.h.

Referenced by Clk_Init().

uint8_t u8PllK

PLL input clock frequency division ratio, PLLK.

Definition at line 410 of file clk.h.

Referenced by Clk_Init().

uint8_t u8PllM

PLL VCO clock frequency division ratio, PLLM.

Definition at line 411 of file clk.h.

Referenced by Clk_Init().

uint8_t u8PllN

PLL feedback frequency division ration, PLLN.

Definition at line 412 of file clk.h.

Referenced by Clk_Init().

The documentation for this struct was generated from the following file:

- C:/pdl_v10/library/driver/clk/clk.h